.TH sam9407 5 "3 Jan 1999" Linux "Linux Programmer's Manual"
.SH NAME
sam9407.conf \- sam9407 config file
.SH DESCRIPTION
\fB/etc/sam9407.conf\fR is the configuration file for
\fBsam9407(1)\fR.
It contains path information about firmware, soundbanks
and mixer settings for various sam9407 based soundcards.
Each line contains a keyword and a value, which are separated
by at least one whitespace character.
Lines beginning with \fB#\fR are treated as comments.

.SH KEYWORDS
.TP
.B "card \fIcard#\fR"
The definitions following this line are regarded to belong
to \fIcard#\fR. This is useful if you have more than one
sam9407 based soundcard installed.

.TP
.B "mem \fImemSize\fR"
If the firmware doesn't detect the amount of memory installed
on the card (e.g. EWS64), you can define a hint here.
If no hint is given, a memory autprobing will be performed.
The hint can end with \fBK\fR to define the memory size in kilobytes
or \fBM\fR to define the memory size in megabytes.

.TP
.B "firmware \fIpath\fR"
This defines the firmware file \fBsam9407\fR should
downloaded to the soundcard, if needed.

.TP
.B "soundbank \fIpath\fR"
This line will ensure that the specified soundbank will
be loaded to soundbank number \fB0\fR.

.TP
.B "soundbank\fI[0-9]\fR \fIpath\fR"
This line will ensure that the specified soundbank will
be loaded to soundbank number specified.

.TP
.B "class \fIapiClass\fR"
The \fIcontrol\fR's following this line are only active for the API class
defined. The default class is \fBVANILLA\fR, which is the most commonly
used API. If a new card is started with a \fBcard\fR keyword, the
class will be set back to \fBVANILLA\fR.
The following API classes are understood:
.RS +5
.TP
.B "VANILLA"
The standard API. It features audio streaming and midi synthesis.
.TP
.B "HOMSTDR"
Home Studio Recording. This firmware API lacks midi support, but has
a richer set of effects for audio streaming, including peak meter
functions.
.RS -5

.TP
.B "mixer"
The \fIcontrol\fR's following this line are targeted to the
mixer functionality.

.TP
.B "audio_play \fIchannel\fR"
.TP
.B "audio_record \fIchannel\fR"
The \fIcontrol\fR's following this line will be send to
the given audio \fIchannel\fR.
If a new card is started with a \fBcard\fR keyword,
the lines following that statement will be send to the
mixer device again.

.TP
.B "\fIcontrol\fR \fIvalue\fR"
.TP
.B "\fIcontrol\fB[\fR \fIaddr\fR ] \fIvalue\fR"
All mixer controls are uppercase keywords and take numeric
values as arguments. You can get the complete list of mixer
controls from \fBsam9407.h\fR or by running \fBx9407\fR and
saving the current settings to a file. Some of the controls
require an address tag, which is defined in \fIaddr\fR.
Please refer to firmware documentation
for a description of those controls.

.SH "SEE ALSO"
sam9407(8), x9407(1), sam9407(4)

.SH AUTHOR
Gerd Rausch <gerd@meshed.net>
